org.apache.xmlgraphics.image.loader

## Interface ImageProcessingHints

-     public interface ImageProcessingHints

  This interface defines some standard hints to be used for image processing in this package. They are provided for convenience. You can define your own hints as you like. Generally, consumers should not rely on the presence of any hint!

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object` | `BITMAP_TYPE_INTENT` Used to tell a bitmap producer to generate a certain type of bitmap.
    `static java.lang.String` | `BITMAP_TYPE_INTENT_GRAY` Used with BITMAP_TYPE_INTENT to indicate that the generated bitmap should be a grayscale image.
    `static java.lang.String` | `BITMAP_TYPE_INTENT_MONO` Used with BITMAP_TYPE_INTENT to indicate that the generated bitmap should be a 1 bit black and white image.
    `static java.lang.Object` | `IGNORE_COLOR_PROFILE` Used to tell the image loader to ignore any color profile in the image.
    `static java.lang.Object` | `IMAGE_MANAGER` Used to pass in the `ImageManager`.
    `static java.lang.Object` | `IMAGE_SESSION_CONTEXT` Used to pass in the `ImageSessionContext`.
    `static java.lang.Object` | `SOURCE_RESOLUTION` Used to send a hint about the source resolution for pixel to unit conversions.
    `static java.lang.Object` | `TARGET_RESOLUTION` Used to send a hint about the target resolution (of the final output format).
    `static java.lang.Object` | `TRANSPARENCY_INTENT` Used to indicate how existing transparency information (for example, an alpha channel) shall be treated.
    `static java.lang.String` | `TRANSPARENCY_INTENT_IGNORE` Used with TRANSPARENCY_INTENT to indicate that any transparency information shall be ignored.
    `static java.lang.String` | `TRANSPARENCY_INTENT_PRESERVE` Used with TRANSPARENCY_INTENT to indicate that any transparency information shall be preserved (the default).

- - ### Field Detail

    - #### SOURCE_RESOLUTION

          static final java.lang.Object SOURCE_RESOLUTION

      Used to send a hint about the source resolution for pixel to unit conversions.

    - #### TARGET_RESOLUTION

          static final java.lang.Object TARGET_RESOLUTION

      Used to send a hint about the target resolution (of the final output format).

    - #### IMAGE_SESSION_CONTEXT

          static final java.lang.Object IMAGE_SESSION_CONTEXT

      Used to pass in the `ImageSessionContext`. A consumer can use this to load embedded images over the same mechanism as the main image (ex. JPEG images referenced in an SVG image).
      Since:
        1.4

    - #### IMAGE_MANAGER

          static final java.lang.Object IMAGE_MANAGER

      Used to pass in the `ImageManager`. A consumer can use this to load embedded images over the same mechanism as the main image (ex. JPEG images referenced in an SVG image).
      Since:
        1.4

    - #### IGNORE_COLOR_PROFILE

          static final java.lang.Object IGNORE_COLOR_PROFILE

      Used to tell the image loader to ignore any color profile in the image.

    - #### BITMAP_TYPE_INTENT

          static final java.lang.Object BITMAP_TYPE_INTENT

      Used to tell a bitmap producer to generate a certain type of bitmap.

    - #### BITMAP_TYPE_INTENT_GRAY

          static final java.lang.String BITMAP_TYPE_INTENT_GRAY

      Used with BITMAP_TYPE_INTENT to indicate that the generated bitmap should be a grayscale image.
      See Also:
        Constant Field Values

    - #### BITMAP_TYPE_INTENT_MONO

          static final java.lang.String BITMAP_TYPE_INTENT_MONO

      Used with BITMAP_TYPE_INTENT to indicate that the generated bitmap should be a 1 bit black and white image.
      See Also:
        Constant Field Values

    - #### TRANSPARENCY_INTENT

          static final java.lang.Object TRANSPARENCY_INTENT

      Used to indicate how existing transparency information (for example, an alpha channel) shall be treated.

    - #### TRANSPARENCY_INTENT_PRESERVE

          static final java.lang.String TRANSPARENCY_INTENT_PRESERVE

      Used with TRANSPARENCY_INTENT to indicate that any transparency information shall be preserved (the default).
      See Also:
        Constant Field Values

    - #### TRANSPARENCY_INTENT_IGNORE

          static final java.lang.String TRANSPARENCY_INTENT_IGNORE

      Used with TRANSPARENCY_INTENT to indicate that any transparency information shall be ignored.
      See Also:
        Constant Field Values

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.